summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/contributors.sh2
-rwxr-xr-x.tools/deploy.sh6
-rwxr-xr-x.tools/init.sh25
-rwxr-xr-x.tools/testxml.sh2
4 files changed, 27 insertions, 8 deletions
diff --git a/.tools/contributors.sh b/.tools/contributors.sh
index 6544ac9d..487c3cb4 100755
--- a/.tools/contributors.sh
+++ b/.tools/contributors.sh
@@ -7,7 +7,7 @@ clientdata_init
aptget_update
aptget_install git-core gcc ca-certificates libxml2-utils make xsltproc
rm -rf tools
-gitclone https://gitlab.com/evol/evol-tools.git tools
+gitclone https://gitlab.com/evol evol-tools.git tools
cd tools/contrib_xsl
diff --git a/.tools/deploy.sh b/.tools/deploy.sh
index 07a0d5de..7184f4b8 100755
--- a/.tools/deploy.sh
+++ b/.tools/deploy.sh
@@ -7,7 +7,7 @@ clientdata_init
aptget_update
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
rm -rf tools
-gitclone https://gitlab.com/evol/evol-tools.git tools
+gitclone https://gitlab.com/evol evol-tools.git tools
cd clientdata
rm -rf public
@@ -16,7 +16,7 @@ mkdir public
cd ..
rm -rf music
-gitclone https://gitlab.com/evol/evol-music.git music
+gitclone https://gitlab.com/evol evol-music.git music
cd tools/update
@@ -27,7 +27,7 @@ check_error $?
cp -r upload/* ../../clientdata/public
cd ../../clientdata
-gitclone https://gitlab.com/4144/pagesindexgen.git pagesindexgen
+gitclone https://gitlab.com/4144 pagesindexgen.git pagesindexgen
cd pagesindexgen
./pagesindexgen.py ../public
check_error $?
diff --git a/.tools/init.sh b/.tools/init.sh
index 18e8dac7..7e57a76f 100755
--- a/.tools/init.sh
+++ b/.tools/init.sh
@@ -7,14 +7,33 @@ function check_error {
fi
}
+function gitclone1 {
+ echo git clone $2 $3
+ git clone $2 $3
+ if [ "$?" != 0 ]; then
+ echo git clone $1 $3
+ git clone $1 $3
+ return $?
+ fi
+ return $?
+}
+
function gitclone {
- git clone $*
+ export name1=$1/$2
+ export name2=${CI_BUILD_REPO##*@}
+ export name2=https://${name2%/*}/$2
+
+ gitclone1 $1 $2 $3
if [ "$?" != 0 ]; then
sleep 1s
- git clone $*
+ gitclone1 $1 $2 $3
if [ "$?" != 0 ]; then
sleep 3s
- git clone $*
+ gitclone1 $1 $2 $3
+ if [ "$?" != 0 ]; then
+ sleep 5s
+ gitclone1 $1 $2 $3
+ fi
fi
fi
check_error $?
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
index 5d9e66a2..d0e552ce 100755
--- a/.tools/testxml.sh
+++ b/.tools/testxml.sh
@@ -7,7 +7,7 @@ clientdata_init
aptget_update
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
rm -rf tools
-gitclone https://gitlab.com/evol/evol-tools.git tools
+gitclone https://gitlab.com/evol evol-tools.git tools
cd tools/testxml